<bugID>964887<Summary>Bookmark submenu says "Bookmark this page" even for bookmarked pages</Summary><Description>When the bookmarking button is in the menu panel rather than the toobar, the first item in its submenu is "Bookmark this page." Unfortunately, it remains saying "Bookmark this page" even when the current page is bookmarked (clicking it brings up the bookmarking doorhanger with the correct "Edit this bookmark" header).

We could change the text to either
(a) Remove bookmark  OR
(b) Edit this bookmark

I think the latter makes sense, for now, in that we already have that string and that's the doorhanger that comes up when you click on the menu item. The doorhanger itself provides the ability to remove the bookmark.</Description></bugID>